#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: Makefile,v 1.87 1999/01/13 14:31:59 vltsccm Exp $" 
#
# Makefile of ........
#
# who       when      what
# --------  --------  ----------------------------------------------
# gchiozzi  15/04/99  created
#

#*******************************************************************************
# This Makefile follows VLT Standards (see Makefile(5) for more).
#*******************************************************************************
# REMARKS
#    None
#------------------------------------------------------------------------

#
# user definable C-compilation flags
# USER_CFLAGS =  -fno-operator-names

#
# MODULE CODE DESCRIPTION:
# ------------------------
# As a general rule:  public file are "cleaned" and "installed"  
#                     local (_L) are not "installed".

#
# C programs (public and local)
# -----------------------------
EXECUTABLES = 


#
# Includes (.h) files (public only)
# ---------------------------------
INCLUDES    = 

#
# Scripts (public and local)
# ----------------------------
SCRIPTS         = 

#
# TCL scripts (public and local)
# ------------------------------
GLOBAL_TCLSH = seqWish -f

TCL_SCRIPTS     =

# On-Line Database Files
# ----------------------
DBL_LOAD = evhTEST_DATABASE
DBL_FLAGS = $(I_PATH) -a 180


#
# list of all possible C-sources (used to create automatic dependencies)
# ------------------------------
CSOURCENAMES = \
	$(foreach exe, $(EXECUTABLES) $(EXECUTABLES_L), $($(exe)_OBJECTS)) \
	$(foreach lib, $(LIBRARIES) $(LIBRARIES_L), $($(lib)_OBJECTS))

#
#>>>>> END OF standard rules

#
# INCLUDE STANDARDS
# -----------------
MAKEDIR = $(VLTROOT)/include
include $(MAKEDIR)/vltMakefile

#
# Special tests with a eference files different for CCS and CCSlite


#
# TARGETS
# -------
all:	do_all do_links
	@echo " . . . 'all' done" 

clean : clean_all 
	$(AT) $(RM) $(evhLITE_REF)
	$(RM) *~ *.diff *.rep core out/*.out out/*.diff sed.scan *.log .gdb* ENVIRONMENTS/wsTat/*.log
	@echo " . . . clean done"

gman   : do_man 
	@echo " . . . man page(s) done"

install : install_all
	@echo " . . . installation done"

db : db_all
	@echo " . . . ../DB done"


do_links :

#___oOo___
